oracle.kv

## Class ReturnValueVersion

- java.lang.Object
- - oracle.kv.ValueVersion
  - - oracle.kv.ReturnValueVersion

-     public class ReturnValueVersion
      extends ValueVersion

  Used with put and delete operations to return the previous value and version.

  A ReturnValueVersion instance may be created and passed as the `prevValue` parameter to methods such as `KVStore.put(Key, Value, ReturnValueVersion, Durability, long, TimeUnit)`.

  For best performance, it is important to choose only the properties that are required. The KV Store is optimized to avoid I/O when the requested properties are in cache.

  Note that because both properties are optional, the version property, value property, or both properties may be null.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReturnValueVersion.Choice` Specifies whether to return the value, version, both or neither.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnValueVersion(ReturnValueVersion.Choice returnChoice)` Creates an object for returning the value, version or both.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReturnValueVersion.Choice` | `getReturnChoice()` Returns the ReturnValueVersion.Choice used to create this object.

    - ### Methods inherited from class oracle.kv.ValueVersion

      `getValue, getVersion, setValue, setVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnValueVersion

          public ReturnValueVersion(ReturnValueVersion.Choice returnChoice)

      Creates an object for returning the value, version or both.
      Parameters:
        `returnChoice` - determines whether the value, version, both or none are returned.

  - ### Method Detail

    - #### getReturnChoice

          public ReturnValueVersion.Choice getReturnChoice()

      Returns the ReturnValueVersion.Choice used to create this object.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.